import 'package:get/get.dart';
import 'package:fis_jsonrpc/rpc.dart';

///报告预览状态
class ReportPreviewState {
  RxString _reportCode = RxString('');
  RxBool _isLoaded = RxBool(false);
  RxString _reportName = RxString('');
  Rx<QualityType> _qualityType = Rx<QualityType>(QualityType.None);

  QualityType get qualityType => _qualityType.value;
  set qualityType(QualityType v) => _qualityType.value = v;

  ///是否已初始化
  bool get isLoaded => _isLoaded.value;
  set isLoaded(bool v) => _isLoaded.value = v;

  ///报告Code
  String get reportCode => _reportCode.value;
  set reportCode(String reportCode) => _reportCode.value = reportCode;

  ///报告名字
  String get reportName => _reportName.value;
  set reportName(String reportName) => _reportName.value = reportName;
}
